Subject: Re: linux-next: manual merge of the char-misc tree with the mfd tree

From: Greg KH <[email-masked]>
Date: Tue, 1 Mar 2022 11:35:17 +0100

On Tue, Mar 01, 2022 at 09:37:41AM +0000, Lee Jones wrote:
> On Mon, 28 Feb 2022, Greg KH wrote:
> 
> > On Mon, Feb 28, 2022 at 12:46:44PM +0000, Lee Jones wrote:
> > > On Mon, 28 Feb 2022, Greg KH wrote:
> > > 
> > > > On Mon, Feb 28, 2022 at 09:01:49AM +0000, Lee Jones wrote:
> > > > > On Mon, 28 Feb 2022, Stephen Rothwell wrote:
> > > > > 
> > > > > > Hi all,
> > > > > > 
> > > > > > Today's linux-next merge of the char-misc tree got a conflict in:
> > > > > 
> > > > > I did ask for this *not* to be merged when it was in -testing.
> > > > 
> > > > Sorry, I missed that, I saw your ack on the patch so that's why I took
> > > > it.
> > > > 
> > > > > I'll follow-up with Greg.
> > > > 
> > > > Should I revert this from my tree?
> > > 
> > > I did try to catch it before a revert would have been required.
> > 
> > My fault.
> > 
> > > But yes, please revert it.
> > 
> > Will go do so now.
> 
> Thank you.
> 
> > > The Ack is not standard and should not be merged.
> > 
> > I do not understand this, what went wrong here?
> 
> The "Ack" you saw was just a placeholder.
> 
> When I provided it, I would have done so like this:
> 
>     "For my own reference (apply this as-is to your sign-off block):
> 
>      Acked-for-MFD-by: Lee Jones <[email-masked]>"
> 
> REF: https://lore.kernel.org/all/[email-masked]/
> 
> The majority of maintainers I regularly work with know this to mean
> that the set is due to be routed via MFD (with a subsequent
> pull-request to an immutable branch to follow), since MFD is often
> the centre piece (parent) of the patch-sets I deal with.
> 
> I appreciate that this could cause confusion, but I'm not sure of a
> better way to convey this information such that it survives through
> various submission iterations.

But what else is another maintainer supposed to think if they see that
ack on the patch?  Ignore it?  I took that to mean "this is good from a
mfd-point-of-view" which meant it can go through whatever tree it is
supposed to.

Are you wanting this individual patch to go through your tree now only?
If so, you should say that by NOT acking it :)

How do you want to see this merged?

thanks,

greg k-h